Subject: Re: [PATCH v4] git-completion.bash: add support for path completion

From: Manlio Perillo <[email-masked]>
Date: Sat, 05 Jan 2013 22:27:38 +0100

Il 05/01/2013 21:23, Marc Khouzam ha scritto:
> [...]
> I did further testing with your patch and found some less obvious
> issues.  I didn't debug the script myself as I'm not that familiar with
> it either, but I think the testcases below should help Manlio or
> someone else look into some regressions.
> 
> 1- Using .. or . breaks completion when after the '/':
> [...] 
> 2- Maybe related to problem 1.  Using .. breaks completion in other ways:
> [...]
> 3- Also probably related to problems 1 and 2.  Using absolute paths behaves wierdly and 
> worse than before:

Thanks for this.

I begin to suspect that this is the reason why path completion has not
been implemented by the original author of the bash completion script.

These issues seems hard to fix.

Tomorrow I will take some time to try to fix all the reported issues.

> [...]

Regards  Manlio